%global namedreltag .SP8
%global namedversion %{version}%{?namedreltag}
Name:          jboss-security-spi
Version:       2.0.4
Release:       %mkrel 2
Summary:       JBoss Security SPI
Group:         Development/Java
License:       LGPLv2+
Url:           http://www.jboss.org/
# svn export http://anonsvn.jboss.org/repos/jbossas/projects/security/security-spi/tags/2.0.4.SP8 jboss-security-spi-2.0.4.SP8
# tar czf jboss-security-spi-2.0.4.SP8-src-svn.tar.gz jboss-security-spi-2.0.4.SP8
Source0:       jboss-security-spi-%{namedversion}-src-svn.tar.gz

Patch0:        jboss-security-spi-2.0.4.SP8-jaspi.patch

BuildRequires: java-devel
BuildRequires: jboss-parent
BuildRequires: jpackage-utils

BuildRequires: jboss-jaspi-1.0-api
BuildRequires: junit
BuildRequires: tomcat6-servlet-2.5-api

BuildRequires: maven
#BuildRequires: maven-assembly-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-report-plugin

Requires:      jboss-jaspi-1.0-api
Requires:      tomcat6-servlet-2.5-api

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
JBoss Security is a cross cutting project that handles security for the JEMS projects.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p1
# todo
sed -i "s|<module>jboss-security-spi-as4</module>|<!--module>jboss-security-spi-as4</module-->|" pom.xml
sed -i "s|<module>assembly</module>|<!--module>assembly</module-->|" pom.xml

%build

mvn-rpmbuild install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}/jboss
install -pm 644 acl/target/acl-spi-%{namedversion}.jar %{buildroot}%{_javadir}/jboss/acl-spi.jar
install -pm 644 authorization/target/authorization-spi-%{namedversion}.jar %{buildroot}%{_javadir}/jboss/authorization-spi.jar
install -pm 644 identity/target/identity-spi-%{namedversion}.jar %{buildroot}%{_javadir}/jboss/identity-spi.jar
install -pm 644 spi/target/%{name}-bare-%{namedversion}.jar %{buildroot}%{_javadir}/jboss/%{name}-bare.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}-pom.pom
%add_maven_depmap JPP.jboss-%{name}-pom.pom
install -pm 644 parent/pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}-parent.pom
%add_maven_depmap JPP.jboss-%{name}-parent.pom
install -pm 644 acl/pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-acl-spi.pom
%add_maven_depmap JPP.jboss-acl-spi.pom jboss/acl-spi.jar
install -pm 644 authorization/pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-authorization-spi.pom
%add_maven_depmap JPP.jboss-authorization-spi.pom jboss/authorization-spi.jar
install -pm 644 identity/pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-identity-spi.pom
%add_maven_depmap JPP.jboss-identity-spi.pom jboss/identity-spi.jar
install -pm 644 spi/pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}-bare.pom
%add_maven_depmap JPP.jboss-%{name}-bare.pom jboss/%{name}-bare.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/jboss/*.jar
%{_mavenpomdir}/JPP.jboss-*.pom
%{_mavendepmapfragdir}/%{name}
%doc docs JBossORG-EULA.txt README

%files javadoc
%{_javadocdir}/%{name}

%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.0.4-2.mga3
+ Revision: 355160
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 29 2012 gil <gil> 2.0.4-1.mga2
+ Revision: 202958
- imported package jboss-security-spi

